- # The recovery email is hashed, so we cannot show the value.
- value = nil
- placeholder = t(:no_value_set)
- if params[:user]
  - value = params[:user][:recovery_email]
- if current_user.recovery_email.present?
  - placeholder = '•••••••••••••••••••'
- if current_user.encrypted_storage?
  %p= t(:recovery_email_warning)
.button-layout
  = form_tag passwords_path, {method: 'put'} do
    = hidden_field_tag 'update_action', 'update_recovery_email'
    = hidden_field_tag 'view', 'recovery'
    = render 'password_field', errors: @errors, field: :current_password, show_help: true
    .form-group
      = label_tag(:recovery_email, t(:recovery_email))
      = text_field_tag('user[recovery_email]', value, class: 'form-control '+is_invalid(current_user,:recovery_email), placeholder: placeholder)
      = feedback(current_user, :recovery_email)
      .help-text= t(:recovery_email_help)
    %button{type:'submit', class: 'btn btn-success'}
      = icon(:ok, t(:save))
  = form_tag passwords_path, {method: 'put'} do
    = hidden_field_tag 'update_action', 'update_recovery_email'
    = hidden_field_tag 'view', 'recovery'
    = hidden_field_tag 'clear_value', 'true'
    %button{type:'submit', class: 'btn btn-outline-danger', disabled: !current_user.recovery_email.present?}
      = icon(:erase, t(:erase))

